> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Connection Metadata

> Reset the metadata cache of connection.



## OpenAPI

````yaml /26.3/en/rest-api/openapi-v1.json post /resetMetadata
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.3.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /resetMetadata:
    post:
      tags:
        - resetMetadata
      summary: Reset Connection Metadata
      description: Reset the metadata cache of connection.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/resetMetadata_input'
        required: true
      responses:
        '200':
          description: The action result
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    resetMetadata_input:
      type: object
      required:
        - ConnectionName
      properties:
        ConnectionName:
          description: The name of the data connection.
          type: string
        WorkspaceId:
          type: string
          description: The id of the Workspace.
          default: default
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````